Bug 1057140 - (CVE-2014-1642) CVE-2014-1642 xen: out-of-memory condition yielding memory corruption during IRQ setup
CVE-2014-1642 xen: out-of-memory condition yielding memory corruption during ...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140123,repo...
: Security
Depends On: 1057142
Blocks: 1057145
  Show dependency treegraph
 
Reported: 2014-01-23 09:03 EST by Petr Matousek
Modified: 2015-02-16 10:39 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 09:04:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-01-23 09:03:13 EST
When setting up the IRQ for a passed through physical device, a flaw in the error handling could result in a memory allocation being used after it is freed, and then freed a second time.

Malicious guest administrators can trigger a use-after-free error, resulting in hypervisor memory corruption.

Reference:
http://www.openwall.com/lists/oss-security/2014/01/23/2

CVE assignment:
http://www.openwall.com/lists/oss-security/2014/01/23/3

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Petr Matousek 2014-01-23 09:04:20 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as we did not have support for Xen hypervisor.
Comment 2 Petr Matousek 2014-01-23 09:04:50 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1057142]

Note You need to log in before you can comment on or make changes to this bug.